Bug 105709 - Reduce the number of includes in WebProcess.h
Summary: Reduce the number of includes in WebProcess.h
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Sam Weinig
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-23 23:10 PST by Sam Weinig
Modified: 2012-12-25 17:38 PST (History)
5 users (show)

See Also:


Attachments
Patch (24.17 KB, patch)
2012-12-23 23:11 PST, Sam Weinig
no flags Details | Formatted Diff | Diff
Patch (24.10 KB, patch)
2012-12-24 11:10 PST, Sam Weinig
mitz: review+
webkit-ews: commit-queue-
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sam Weinig 2012-12-23 23:10:57 PST
Reduce the number of includes in WebProcess.h
Comment 1 Sam Weinig 2012-12-23 23:11:54 PST
Created attachment 180647 [details]
Patch
Comment 2 WebKit Review Bot 2012-12-23 23:14:52 PST
Attachment 180647 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Source/WebKit2/ChangeLog', u'Source/WebKit..." exit_code: 1
Source/WebKit2/WebProcess/WebProcess.h:66:  Code inside a namespace should not be indented.  [whitespace/indent] [4]
Total errors found: 1 in 11 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 3 Early Warning System Bot 2012-12-23 23:17:01 PST
Comment on attachment 180647 [details]
Patch

Attachment 180647 [details] did not pass qt-wk2-ews (qt):
Output: http://queues.webkit.org/results/15495356
Comment 4 Sam Weinig 2012-12-24 11:10:08 PST
Created attachment 180683 [details]
Patch
Comment 5 WebKit Review Bot 2012-12-24 11:13:58 PST
Attachment 180683 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Source/WebKit2/ChangeLog', u'Source/WebKit..." exit_code: 1
Source/WebKit2/WebProcess/WebProcess.h:66:  Code inside a namespace should not be indented.  [whitespace/indent] [4]
Source/WebKit2/WebProcess/WebProcess.h:188:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Total errors found: 2 in 11 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 6 Early Warning System Bot 2012-12-24 11:17:04 PST
Comment on attachment 180683 [details]
Patch

Attachment 180683 [details] did not pass qt-wk2-ews (qt):
Output: http://queues.webkit.org/results/15493582
Comment 7 Sam Weinig 2012-12-25 17:38:16 PST
Committed r138466: <http://trac.webkit.org/changeset/138466>